require 'spec_helper'

AZURE_SPEC_TABLE_NAME = :"rd3spectester#{Random.rand(999)}"

class RD3::AzureTableStorageTestClass
  include RD3::DataProviders::AzureTableStorage

  def self.config_file_name
    :azure_table_storage
  end

  def self.table_name
    AZURE_SPEC_TABLE_NAME
  end
end

describe RD3::DataProviders::AzureTableStorage, :speed => :slow do
  it_behaves_like "data provider", :azure_table_storage

  let(:repo) {RD3::AzureTableStorageTestClass}

  before(:all) do
    repo.client.create_table AZURE_SPEC_TABLE_NAME
  end

  after(:all) do
    repo.client.delete_table AZURE_SPEC_TABLE_NAME
  end

end
