require 'spec_helper'

RDBMS_SPEC_TABLE_NAME = :rd3_spec_tester

class RD3::MySqlRdbmsTestClass
  include RD3::DataProviders::Rdbms

  def self.config_file_name
    :mysql
  end

  def self.table_name
    RDBMS_SPEC_TABLE_NAME
  end
end

class RD3::PostgresqlRdbmsTestClass
  include RD3::DataProviders::Rdbms

  def self.config_file_name
    :postgresql
  end

  def self.table_name
    RDBMS_SPEC_TABLE_NAME
  end
end

describe RD3::DataProviders::Rdbms do

  context "mysql" do
    include_context "shared rdbms context", RD3::MySqlRdbmsTestClass
    it_behaves_like "data provider", :mysql
  end

  context "postgresql" do
    include_context "shared rdbms context", RD3::PostgresqlRdbmsTestClass
    it_behaves_like "data provider", :postgresql
  end

end
