require 'sequel'

shared_context "shared rdbms context" do |rdbms_class|

  let(:repo) {rdbms_class}

  before(:all) do
    repo.client.create_table? RDBMS_SPEC_TABLE_NAME do
      #primary_key :id, :type => Integer, :auto_increment => true
      primary_key :id
      String  :email
      Integer :age
      BigDecimal :amt, :size => [3,2]
      Boolean :active
    end
  end

  around(:each) do |test|
    repo.client.transaction do
      test.run
      raise Sequel::Rollback
    end
  end

  after(:all) do
    repo.client.drop_table? RDBMS_SPEC_TABLE_NAME
  end

end
